namespace RobotNet.RobotShares.OpenACS;

public class OpenACSTrafficSettingDto
{
    public string TrafficUrl { get; set; } = "";
    public string[] PublishUrlsUsed { get; set; } = [];
    public bool IsTrafficEnabled { get; set; }
    public OpenACSTrafficSettingDto() { }
    public OpenACSTrafficSettingDto(bool enable, string url, string[] urlsUsed)
    {
        IsTrafficEnabled = enable;
        TrafficUrl = url;
        PublishUrlsUsed = urlsUsed;
    }
}

public record class OpenACSTrafficSettingModel(string Url);